Bug 162249

Summary: Add Sierra bots to buildbot and dashboard
Product: WebKit Reporter: Dean Johnson <dean_johnson>
Component: Tools / TestsAssignee: Dean Johnson <dean_johnson>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, commit-queue, lforschler, ossy, ryanhaddad
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Dean Johnson 2016-09-19 19:50:59 PDT
We should bring up Sierra bots and add them to the dashboard.
Comment 1 Dean Johnson 2016-09-19 19:54:03 PDT
Created attachment 289303 [details]
Patch
Comment 2 Alexey Proskuryakov 2016-09-19 21:02:35 PDT
Comment on attachment 289303 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=289303&action=review

> Tools/BuildSlaveSupport/build.webkit.org-config/config.json:101
> +                      "slavenames": ["bot439", "bot698"]

These bot numbers confuse me.

> Tools/BuildSlaveSupport/build.webkit.org-config/config.json:116
> +                      "slavenames": ["bot443", "bot699"]

So do these.

> Tools/BuildSlaveSupport/build.webkit.org-config/config.json:130
> +                      "slavenames": ["bot998"]

And this.
Comment 3 Csaba Osztrogonác 2016-09-20 08:02:20 PDT
Please update master cfg unittests.
Comment 4 Csaba Osztrogonác 2016-09-20 08:04:14 PDT
And I can't see JSC tester bots in the list.
Comment 5 Alexey Proskuryakov 2016-09-20 10:49:00 PDT
> And I can't see JSC tester bots in the list.

That's intentional - JSC doesn't need to be tested on each macOS version. We may move the bots later.
Comment 6 Alexey Proskuryakov 2016-09-20 13:51:56 PDT
Comment on attachment 289303 [details]
Patch

r-, since I believe bot998 needs to be fixed
Comment 7 Dean Johnson 2016-09-20 14:42:38 PDT
Created attachment 289399 [details]
Patch
Comment 8 Dean Johnson 2016-09-20 14:44:36 PDT
Thanks for the comments and catches on bot names as well as unit tests!

New patch is posted. Changes from the previous patch are as follows:

- bot998 -> bot600 (assigned hostname)
- Added expected Sierra steps in mastercfg_unittest.py
Comment 9 Alexey Proskuryakov 2016-09-20 14:57:47 PDT
Comment on attachment 289399 [details]
Patch

The new testers also need to be added to EWS configuration.
Comment 10 WebKit Commit Bot 2016-09-20 15:18:44 PDT
Comment on attachment 289399 [details]
Patch

Clearing flags on attachment: 289399

Committed r206178: <http://trac.webkit.org/changeset/206178>
Comment 11 WebKit Commit Bot 2016-09-20 15:18:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Ryan Haddad 2016-09-20 15:32:44 PDT
Reverted r206178 for reason:

This change caused buildbot config issues.

Committed r206180: <http://trac.webkit.org/changeset/206180>
Comment 13 Dean Johnson 2016-09-20 16:11:35 PDT
The issue was the passwords.json was not updated on the master, and thus caused the buildmaster to get a KeyError when trying to read passwords for the newly added slaves. 

It's now been fixed and Ryan said he'll pull the patch back in.
Comment 14 Ryan Haddad 2016-09-20 16:13:24 PDT
Reverted r206180 for reason:

Roll r206178 back in as the necessary changes have been made on the build master.

Committed r206184: <http://trac.webkit.org/changeset/206184>
Comment 15 Csaba Osztrogonác 2016-09-22 06:55:32 PDT
(In reply to comment #5)
> > And I can't see JSC tester bots in the list.
> 
> That's intentional - JSC doesn't need to be tested on each macOS version. We
> may move the bots later.

I thought it was a mistake. It's strange that you don't test JSC on the recent
macOS, but only on the older versions. But it's your decision, I don't care. :)
Comment 16 Alexey Proskuryakov 2016-09-22 13:21:43 PDT
Dean, has this been resolved? I see that the bots are on the dashboard.
Comment 17 Dean Johnson 2016-09-22 14:02:53 PDT
Yes, sorry for not updating it.

And Csaba, we do plan on upgrading the JSC testers from El Cap -> Sierra, just not initially. :)